org.hibernate.validator.ap.checks

## Class AnnotationTypeCheck

- java.lang.Object
- - org.hibernate.validator.ap.checks.AbstractConstraintCheck
  - - org.hibernate.validator.ap.checks.AnnotationTypeCheck

- All Implemented Interfaces:
    ConstraintCheck

      public class AnnotationTypeCheck
      extends AbstractConstraintCheck

  Checks, that only constraint annotation types are annotated with other constraint annotations ("constraint composition"), but not non-constraint annotations.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationTypeCheck(ConstraintHelper constraintHelper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ConstraintCheckError>` | `checkAnnotationType(TypeElement element, AnnotationMirror annotation)` Checks, whether the given annotation is allowed at the given annotation type declaration.

    - ### Methods inherited from class org.hibernate.validator.ap.checks.AbstractConstraintCheck

      `checkField, checkMethod, checkNonAnnotationType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationTypeCheck

          public AnnotationTypeCheck(ConstraintHelper constraintHelper)

  - ### Method Detail

    - #### checkAnnotationType

          public Set<ConstraintCheckError> checkAnnotationType(TypeElement element,
                                                      AnnotationMirror annotation)

      Description copied from interface: `ConstraintCheck`
      Checks, whether the given annotation is allowed at the given annotation type declaration.
      Specified by:
        `checkAnnotationType` in interface `ConstraintCheck`
      Overrides:
        `checkAnnotationType` in class `AbstractConstraintCheck`
      Parameters:
        `element` - An annotated annotation type declaration.
        `annotation` - An annotation at that annotation type.
      Returns:
        A set with errors, that describe, why the given annotation is not allowed at the given element. In case no errors occur (the given annotation is allowed at the given element), an empty set must be returned.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved